https://gitlab.gnome.org/GNOME/hitori/-/commit/d25728e122f1d7b985029a5ba96810c3e57c27f7.patch
https://bugs.gentoo.org/831462

From: Philip Withnall <pwithnall@endlessos.org>
Date: Tue, 2 Nov 2021 12:04:29 +0000
Subject: [PATCH] build: Drop positional arguments from i18n.merge_file() calls
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Meson never took positional arguments in this function, but didnâ€™t warn
about it until Meson 0.60. Drop the unnecessary arguments to fix the
warning.

Signed-off-by: Philip Withnall <pwithnall@endlessos.org>
--- a/data/meson.build
+++ b/data/meson.build
@@ -1,6 +1,6 @@
 subdir('icons')
 
-desktop_file = i18n.merge_file('desktop-file',
+desktop_file = i18n.merge_file(
   type: 'desktop',
   input: '@0@.desktop.in'.format(application_id),
   output: '@0@.desktop'.format(application_id),
@@ -20,7 +20,7 @@ if desktop_file_validate.found()
   )
 endif
 
-appdata_file = i18n.merge_file('appdata-file',
+appdata_file = i18n.merge_file(
   input: '@0@.appdata.xml.in'.format(application_id),
   output: '@0@.appdata.xml'.format(application_id),
   po_dir: join_paths(meson.source_root(), 'po'),
GitLab
